#54 org.apache.jasper.JasperException: Unable to compile class

closed
nobody
None
5
2005-09-07
2005-07-20
Anonymous
No

I have just installed the Java SDK - taking default
options throughout.

I have MSSQL already and when I installed trackplus it
also installed Firebird.

No funny messages installing anything and I think that I
followed all the steps in the documentation.

On start up via http://localhost/track I get an error page ,
HTTP Status Code 500, because it appears (to me!)
that the logon.jsp can't be compiled. I'll attached the full
details, but I think that the problem lies in a path :-

javaFileName=/C:/Program Files/Apache Software
Foundation/Tomcat
5.0/work/Catalina/localhost/track//org/apache/jsp\logon_j
sp.java

I can see a double / i.e. /track//org/ that doesn't look
right, but I've poked around and can't see where this is
coming from.

I am truly ignorant of all this Java stuff and to be honest
don't want to know more than is necessary to get what I
hoped was an "off the shelf" solution" going.

Cheers

Jeff

jeffc@aspect.co.nz

Discussion

  • HTTP Status 500 error details

     
    Attachments
  • Logged In: NO

    ... and I've installed it on Windows XP Pro
    ... I've installed IBConsole and can connetc to the database
    and view the tables.

    Cheers

    Jeff

    jeffc@aspect.co.nz

     
  • Jeff Cook
    Jeff Cook
    2005-07-26

    Logged In: YES
    user_id=1318700

    I've just opened a SourceForge account, so hopefully I'll get
    email notifications if anyone responds to this item.

    Cheers

    Jeff

     
  • Jeff Cook
    Jeff Cook
    2005-07-26

    Logged In: YES
    user_id=1318700

    Solved the problem!

    There was Java on the system before I started. I removed all
    the Java, Tracker and Firebird entries with Control Panel and
    reinstalled and now everything is OK!

    Cheers

    Jeff

     
  • Logged In: YES
    user_id=364010

    The problem lies in the Tomcat installer: if a Java runtime
    environment is installed on your system parallel to the Java
    development kit, Tomcat does not use the JDK which it
    requires but the JRE.

    When installing the JDK, you need to disable also installing
    a personal JRE which is the default.

     
    • status: open --> closed